---
title: SyncEvent.tag
slug: Web/API/SyncEvent/tag
tags:
  - API
  - Background Sync
  - Experimental
  - Property
  - Reference
  - ServiceWorker
  - SyncEvent
  - tag
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p>The <strong><code>SyncEvent.tag</code></strong> read-only property of the {{domxref("SyncEvent")}} interface returns the developer-defined identifier for this <code>SyncEvent</code>. This is the value passed in the <code>tag</code> parameter of the {{domxref("SyncEvent.SyncEvent","SyncEvent()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>tag</em> = SyncEvent.tag</pre>

<h3 id="Value">Value</h3>

<p>The developer-defined identifier for this <code>SyncEvent</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Background Sync','#sync-event', 'tag')}}</td>
   <td>{{Spec2('Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SyncEvent.tag")}}</p>
